GET
https://dev.yimmit.com/api/v3/liquidity/public/:market/depthGet Market Depth
GET api/v3/liquidity/public/:market/depth
Get depth or specified market. Both asks and bids are sorted from highest price to lowest.
Parameters
| Name | Type | Mandatory | Description |
|---|---|---|---|
| market | STRING | YES | Market pair code (e.g., btcusdt, ethbtc) |
| limit | INTEGER | NO | Limit the number of returned price levels. Default to 800. |
Responses
- 200 Successful response
{
"timestamp": 1771567422,
"asks": [
[
"0.02888",
"58.6916",
"0.0"
],
[
"0.02889",
"74.2631",
"0.0"
],
[
"0.02897",
"151.6676",
"0.0"
],
[
"0.02909",
"1.2089",
"0.0"
],
[
"0.0291",
"16.6216",
"0.0"
]
],
"bids": [
[
"0.02887",
"46.771",
"0.0"
],
[
"0.02886",
"217.7379",
"0.0"
],
[
"0.02885",
"129.1533",
"0.0"
],
[
"0.02884",
"63.2462",
"0.0"
],
[
"0.02883",
"167.3973",
"0.0"
]
]
}